### Method

# Ide Workbench get_current_workspace

#### Declaration

    IdeWorkspace*
    ide_workbench_get_current_workspace (
      IdeWorkbench* self
    )

#### Description

Gets the most recently focused workspace, which may be used to deliver events such as opening new pages.

Available since: | 3.32

#### Return value

Returns: | `IdeWorkspace`
| An `IdeWorkspace` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.